%global debug_package %{nil}

Name:          burn-my-windows
Version:       44
Release:       2%{?dist}
License:       CC-BY-4.0 AND MIT AND GPL-3.0-or-later AND CC0-1.0
Summary:       Adds a variety of window decorations to both KDE and Gnome
URL:           https://github.com/Schneegans/Burn-My-Windows

Source0:       %{url}/archive/refs/tags/v%{version}.tar.gz

BuildRequires: make
BuildRequires: tar
BuildRequires: perl
BuildRequires: clang-tools-extra
BuildRequires: gettext
BuildRequires: glib2-devel

%description
%{summary}.

%global _description Burn my Windows brings over 20 different window \
decorations to make your desktop look flashy and awesome.

%package       gnome-shell-extension
Summary:       Burn my windows extension for the GNOME shell
Requires:      gnome-shell-extension-common

%description   gnome-shell-extension
%{_description}

%package       kwin-effects
Summary:       Burn my windows extension for Kwin
Requires:      kwin

%description   kwin-effects
%{_description}

%prep
%autosetup -p1 -n Burn-My-Windows-%{version}

%build
%make_build
# Builds the tarballs for the kwin effects
./kwin/build.sh

%install
# kwin
mkdir -p %{buildroot}%{_datadir}/kwin/effects
tar -xf ./kwin/burn_my_windows_kwin6.tar.gz -C %{buildroot}%{_datadir}/kwin/effects/
# gnome
mkdir -p %{buildroot}%{_datadir}/gnome-shell/extensions/burn-my-windows@schneegans.github.com
unzip ./burn-my-windows@schneegans.github.com.zip -d %{buildroot}%{_datadir}/gnome-shell/extensions/burn-my-windows@schneegans.github.com/

%files gnome-shell-extension
%license LICENSES/*
%{_datadir}/gnome-shell/extensions/burn-my-windows@schneegans.github.com

%files kwin-effects
%license LICENSES/*
%{_datadir}/kwin/effects/kwin6_effect_doom
%{_datadir}/kwin/effects/kwin6_effect_energize_a
%{_datadir}/kwin/effects/kwin6_effect_energize_b
%{_datadir}/kwin/effects/kwin6_effect_fire
%{_datadir}/kwin/effects/kwin6_effect_glide
%{_datadir}/kwin/effects/kwin6_effect_glitch
%{_datadir}/kwin/effects/kwin6_effect_hexagon
%{_datadir}/kwin/effects/kwin6_effect_incinerate
%{_datadir}/kwin/effects/kwin6_effect_pixel_wheel
%{_datadir}/kwin/effects/kwin6_effect_pixel_wipe
%{_datadir}/kwin/effects/kwin6_effect_pixelate
%{_datadir}/kwin/effects/kwin6_effect_portal
%{_datadir}/kwin/effects/kwin6_effect_tv
%{_datadir}/kwin/effects/kwin6_effect_tv_glitch
%{_datadir}/kwin/effects/kwin6_effect_wisps
%{_datadir}/kwin/effects/kwin6_effect_focus


%changelog
* Wed Dec 25 2024 Steve Cossette <farchord@gmail.com> - 44-2
- Bump for rebuild

* Thu Nov 07 2024 Steve Cossette <farchord@gmail.com> - 44-1
- v44

* Mon Jun 17 2024 Steve Cossette <farchord@gmail.com> - 41-1
- Initial Release
